Error Messages

If you see an error message like "Oops! Could not API: Fetch Participation Info" (see image below) it is likely you have opened an old version of our iOS Participate app. Follow the prompt to the App Store to update to the latest version.

If you see an error message "Oops! The link has expired!" (see below) after clicking a participate link, it probably means an expired or typo'd link was sent by the researcher. Contact them to have a new one sent.

Audio

If you start the session using bluetooth headsets, Apple sort of locks you into that audio mode. Starting with Bluetooth means you absolutely can't switch to speaker (in case your Bluetooth battery dies etc).

Device compatibility

You'll need iOS 12.2 and up of official releases. No beta versions. If your iOS device has the right iOS version - it will be compatible with Lookback.

Did this answer your question?